9.6. Przeskalowywanie filmów
Poprzedni | Rozdział 9. Podstawy używania MEncodera | Następny

## 9.6. Przeskalowywanie filmów

Często zachodzi potrzeba zmiany wielkości obrazu. Powodów tego może być wiele: zmniejszenie rozmiaru pliku, przepustowość sieci, itd. Większość ludzi stosuje przeskalowywanie nawet przy konwertowaniu płyt DVD, SVCD do DivX AVI. Jeżeli chcesz przeskalowywać, przeczytaj sekcję o zachowywaniu proporcji obrazu.

Proces skalowania obsługiwany jest przez filtr video `scale`: `-vf scale=`szerokość`:`wysokość``. Jego jakość może być ustawiona parametrem `-sws`. Jeśli nie jest on podany MEncoder użyje wartości 2: bicubic.

Sposób użycia:

    mencoder wejscie.mpg -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell \
        -vf scale=640:480 -o wyjście.avi

Poprzedni | Początek rozdziału | Następny
9.5. Kodowanie do formatu MPEG | Spis treści | 9.7. Kopiowanie strumieni